Subject: Re: [PATCH] fix t1504 on Windows

From: Johannes Sixt <[email-masked]>
Date: Fri, 06 Feb 2009 13:55:04 +0100

René Scharfe schrieb:
> The test t1504 crashes on Windows due to a failed assertion in
> normalize_absolute_path() because this function expects absolute paths to
> start with a slash, while on Windows they can start with a drive letter
> or a backslash.
...
> diff --git a/t/t1504-ceiling-dirs.sh b/t/t1504-ceiling-dirs.sh
> index 91b704a..9c9c4c9 100755
> --- a/t/t1504-ceiling-dirs.sh
> +++ b/t/t1504-ceiling-dirs.sh
> @@ -96,7 +96,7 @@ test_prefix subdir_ceil_at_subdi_slash "sub/dir/"
>  GIT_CEILING_DIRECTORIES="foo:$TRASH_ROOT/sub"
>  test_fail second_of_two
>  
> -GIT_CEILING_DIRECTORIES="$TRASH_ROOT/sub:bar"
> +GIT_CEILING_DIRECTORIES="$TRASH_ROOT/sub:/bar"
>  test_fail first_of_two
>  
>  GIT_CEILING_DIRECTORIES="foo:$TRASH_ROOT/sub:bar"

I also need this to complete this test:

diff --git a/t/t1504-ceiling-dirs.sh b/t/t1504-ceiling-dirs.sh
index 9c9c4c9..e377d48 100755
--- a/t/t1504-ceiling-dirs.sh
+++ b/t/t1504-ceiling-dirs.sh
@@ -93,13 +93,13 @@ GIT_CEILING_DIRECTORIES="$TRASH_ROOT/subdi"
 test_prefix subdir_ceil_at_subdi_slash "sub/dir/"

-GIT_CEILING_DIRECTORIES="foo:$TRASH_ROOT/sub"
+GIT_CEILING_DIRECTORIES="/foo:$TRASH_ROOT/sub"
 test_fail second_of_two

 GIT_CEILING_DIRECTORIES="$TRASH_ROOT/sub:/bar"
 test_fail first_of_two

-GIT_CEILING_DIRECTORIES="foo:$TRASH_ROOT/sub:bar"
+GIT_CEILING_DIRECTORIES="/foo:$TRASH_ROOT/sub:/bar"
 test_fail second_of_three

That said, I'm in the process of preparing a series that includes your
patch and that does the proper cleanup and code moving that you again
didn't do :-/ But it turns out that this is non-trivial because of bash's
(MSYS's) I-know-better-what-is-a-path-and-what-not behavior. It will take
some time...

-- Hannes